---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: include/TGUI/Widgets/EditBox.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_380f920385a16f176be7632160138052.html">TGUI</a></li><li class="navelem"><a class="el" href="dir_0bb95f096d007de7ff009a2d5974766c.html">Widgets</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">EditBox.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// TGUI - Texus&#39;s Graphical User Interface</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// Copyright (C) 2012-2017 Bruno Van de Velde (vdv_b@tgui.eu)</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">// This software is provided &#39;as-is&#39;, without any express or implied warranty.</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">// In no event will the authors be held liable for any damages arising from the use of this software.</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment">// Permission is granted to anyone to use this software for any purpose,</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment">// including commercial applications, and to alter it and redistribute it freely,</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">// subject to the following restrictions:</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment">// 1. The origin of this software must not be misrepresented;</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment">//    you must not claim that you wrote the original software.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment">//    If you use this software in a product, an acknowledgment</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment">//    in the product documentation would be appreciated but is not required.</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment">// 2. Altered source versions must be plainly marked as such,</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment">//    and must not be misrepresented as being the original software.</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment">// 3. This notice may not be removed or altered from any source distribution.</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#ifndef TGUI_EDIT_BOX_HPP</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#define TGUI_EDIT_BOX_HPP</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#include &lt;TGUI/Widgets/ClickableWidget.hpp&gt;</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="preprocessor">#include &lt;regex&gt;</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacetgui.html">tgui</a></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;{</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    <span class="keyword">class </span>EditBoxRenderer;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00054"></a><span class="lineno"><a class="line" href="classtgui_1_1EditBox.html">   54</a></span>&#160;    <span class="keyword">class </span>TGUI_API <a class="code" href="classtgui_1_1EditBox.html">EditBox</a> : <span class="keyword">public</span> <a class="code" href="classtgui_1_1ClickableWidget.html">ClickableWidget</a></div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;    {</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div><div class="line"><a name="l00058"></a><span class="lineno"><a class="line" href="classtgui_1_1EditBox.html#ae987a753c5b1423a932869610b08d7f8">   58</a></span>&#160;        <span class="keyword">typedef</span> std::shared_ptr&lt;EditBox&gt; <a class="code" href="classtgui_1_1EditBox.html#ae987a753c5b1423a932869610b08d7f8">Ptr</a>; </div><div class="line"><a name="l00059"></a><span class="lineno"><a class="line" href="classtgui_1_1EditBox.html#aaa12c59c7d5a3e48d164ef9835363ca9">   59</a></span>&#160;        <span class="keyword">typedef</span> std::shared_ptr&lt;const EditBox&gt; <a class="code" href="classtgui_1_1EditBox.html#aaa12c59c7d5a3e48d164ef9835363ca9">ConstPtr</a>; </div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno"><a class="line" href="classtgui_1_1EditBox.html#a3bdf669c969f3002777f84ef6bcc9393">   65</a></span>&#160;        <span class="keyword">enum class</span> <a class="code" href="classtgui_1_1EditBox.html#a3bdf669c969f3002777f84ef6bcc9393">Alignment</a></div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;        {</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;            Left,</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;            Center,</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;            Right</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;        };</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div><div class="line"><a name="l00081"></a><span class="lineno"><a class="line" href="structtgui_1_1EditBox_1_1Validator.html">   81</a></span>&#160;        <span class="keyword">struct </span><a class="code" href="structtgui_1_1EditBox_1_1Validator.html">Validator</a></div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;        {</div><div class="line"><a name="l00083"></a><span class="lineno"><a class="line" href="structtgui_1_1EditBox_1_1Validator.html#addae7bebf202d82437de4be2d06aec66">   83</a></span>&#160;            <span class="keyword">static</span> TGUI_API std::string <a class="code" href="structtgui_1_1EditBox_1_1Validator.html#addae7bebf202d82437de4be2d06aec66">Int</a>;   </div><div class="line"><a name="l00084"></a><span class="lineno"><a class="line" href="structtgui_1_1EditBox_1_1Validator.html#a86f672270cc726b8d137979172f09c50">   84</a></span>&#160;            <span class="keyword">static</span> TGUI_API std::string <a class="code" href="structtgui_1_1EditBox_1_1Validator.html#a86f672270cc726b8d137979172f09c50">UInt</a>;  </div><div class="line"><a name="l00085"></a><span class="lineno"><a class="line" href="structtgui_1_1EditBox_1_1Validator.html#a09bea6c7677de1f673e682ca9eb41c07">   85</a></span>&#160;            <span class="keyword">static</span> TGUI_API std::string <a class="code" href="structtgui_1_1EditBox_1_1Validator.html#a09bea6c7677de1f673e682ca9eb41c07">Float</a>; </div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;        };</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;        <span class="comment">// Default constructor</span></div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;<span class="comment"></span>        <a class="code" href="classtgui_1_1EditBox.html">EditBox</a>();</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;        <span class="keyword">static</span> <a class="code" href="classtgui_1_1EditBox.html#ae987a753c5b1423a932869610b08d7f8">EditBox::Ptr</a> create();</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;        <span class="keyword">static</span> <a class="code" href="classtgui_1_1EditBox.html#ae987a753c5b1423a932869610b08d7f8">EditBox::Ptr</a> copy(<a class="code" href="classtgui_1_1EditBox.html#aaa12c59c7d5a3e48d164ef9835363ca9">EditBox::ConstPtr</a> editBox);</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;</div><div class="line"><a name="l00121"></a><span class="lineno"><a class="line" href="classtgui_1_1EditBox.html#af5798090dff64beff26657910e8bf8a0">  121</a></span>&#160;        std::shared_ptr&lt;EditBoxRenderer&gt; <a class="code" href="classtgui_1_1EditBox.html#af5798090dff64beff26657910e8bf8a0">getRenderer</a>()<span class="keyword"> const</span></div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;<span class="keyword">        </span>{</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;            <span class="keywordflow">return</span> std::static_pointer_cast&lt;<a class="code" href="classtgui_1_1EditBoxRenderer.html">EditBoxRenderer</a>&gt;(m_renderer);</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;        }</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> setPosition(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Layout2d.html">Layout2d</a>&amp; position) <span class="keyword">override</span>;</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;        <span class="keyword">using</span> <a class="code" href="classtgui_1_1Transformable.html#aef14a1428f63eeb8bd820a1b4821a3d0">Transformable::setPosition</a>;</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;</div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;        <span class="keywordtype">void</span> setSize(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Layout2d.html">Layout2d</a>&amp; size) <span class="keyword">override</span>;</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;        <span class="keyword">using</span> <a class="code" href="classtgui_1_1Transformable.html#a66fe5d2a7b1477cab073984a9a3e13bc">Transformable::setSize</a>;</div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;</div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;</div><div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;        <span class="keyword">virtual</span> sf::Vector2f getFullSize() <span class="keyword">const override</span>;</div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;</div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;</div><div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> setFont(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Font.html">Font</a>&amp; font) <span class="keyword">override</span>;</div><div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;</div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;</div><div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;        <span class="keywordtype">void</span> setText(<span class="keyword">const</span> sf::String&amp; text);</div><div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;</div><div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;</div><div class="line"><a name="l00197"></a><span class="lineno"><a class="line" href="classtgui_1_1EditBox.html#ac18ca8a292e8a49adb181930524412a9">  197</a></span>&#160;        sf::String <a class="code" href="classtgui_1_1EditBox.html#ac18ca8a292e8a49adb181930524412a9">getText</a>()<span class="keyword"> const</span></div><div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;<span class="keyword">        </span>{</div><div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;            <span class="keywordflow">return</span> m_text;</div><div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;        }</div><div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;</div><div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;</div><div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;        <span class="keywordtype">void</span> setDefaultText(<span class="keyword">const</span> sf::String&amp; text);</div><div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;</div><div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;</div><div class="line"><a name="l00222"></a><span class="lineno"><a class="line" href="classtgui_1_1EditBox.html#ad162dd074164689ed980c0ad80f75cf9">  222</a></span>&#160;        sf::String <a class="code" href="classtgui_1_1EditBox.html#ad162dd074164689ed980c0ad80f75cf9">getDefaultText</a>()<span class="keyword"> const</span></div><div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;<span class="keyword">        </span>{</div><div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160;            <span class="keywordflow">return</span> m_defaultText.getString();</div><div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160;        }</div><div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;</div><div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;</div><div class="line"><a name="l00234"></a><span class="lineno">  234</span>&#160;        sf::String getSelectedText() <span class="keyword">const</span>;</div><div class="line"><a name="l00235"></a><span class="lineno">  235</span>&#160;</div><div class="line"><a name="l00236"></a><span class="lineno">  236</span>&#160;</div><div class="line"><a name="l00244"></a><span class="lineno">  244</span>&#160;        <span class="keywordtype">void</span> setTextSize(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> textSize);</div><div class="line"><a name="l00245"></a><span class="lineno">  245</span>&#160;</div><div class="line"><a name="l00246"></a><span class="lineno">  246</span>&#160;</div><div class="line"><a name="l00253"></a><span class="lineno"><a class="line" href="classtgui_1_1EditBox.html#a2d7b3110b157aed0499820c81d93868a">  253</a></span>&#160;        <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classtgui_1_1EditBox.html#a2d7b3110b157aed0499820c81d93868a">getTextSize</a>()<span class="keyword"> const</span></div><div class="line"><a name="l00254"></a><span class="lineno">  254</span>&#160;<span class="keyword">        </span>{</div><div class="line"><a name="l00255"></a><span class="lineno">  255</span>&#160;            <span class="keywordflow">return</span> m_textFull.getCharacterSize();</div><div class="line"><a name="l00256"></a><span class="lineno">  256</span>&#160;        }</div><div class="line"><a name="l00257"></a><span class="lineno">  257</span>&#160;</div><div class="line"><a name="l00258"></a><span class="lineno">  258</span>&#160;</div><div class="line"><a name="l00271"></a><span class="lineno">  271</span>&#160;        <span class="keywordtype">void</span> setPasswordCharacter(<span class="keywordtype">char</span> passwordChar);</div><div class="line"><a name="l00272"></a><span class="lineno">  272</span>&#160;</div><div class="line"><a name="l00273"></a><span class="lineno">  273</span>&#160;</div><div class="line"><a name="l00281"></a><span class="lineno"><a class="line" href="classtgui_1_1EditBox.html#a260a6d913c6d3059d396e691e64e9da0">  281</a></span>&#160;        <span class="keywordtype">char</span> <a class="code" href="classtgui_1_1EditBox.html#a260a6d913c6d3059d396e691e64e9da0">getPasswordCharacter</a>()<span class="keyword"> const</span></div><div class="line"><a name="l00282"></a><span class="lineno">  282</span>&#160;<span class="keyword">        </span>{</div><div class="line"><a name="l00283"></a><span class="lineno">  283</span>&#160;            <span class="keywordflow">return</span> m_passwordChar;</div><div class="line"><a name="l00284"></a><span class="lineno">  284</span>&#160;        }</div><div class="line"><a name="l00285"></a><span class="lineno">  285</span>&#160;</div><div class="line"><a name="l00286"></a><span class="lineno">  286</span>&#160;</div><div class="line"><a name="l00295"></a><span class="lineno">  295</span>&#160;        <span class="keywordtype">void</span> setMaximumCharacters(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> maxChars);</div><div class="line"><a name="l00296"></a><span class="lineno">  296</span>&#160;</div><div class="line"><a name="l00297"></a><span class="lineno">  297</span>&#160;</div><div class="line"><a name="l00307"></a><span class="lineno"><a class="line" href="classtgui_1_1EditBox.html#a2fba97a088cbc882a9287d39c81af361">  307</a></span>&#160;        <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classtgui_1_1EditBox.html#a2fba97a088cbc882a9287d39c81af361">getMaximumCharacters</a>()<span class="keyword"> const</span></div><div class="line"><a name="l00308"></a><span class="lineno">  308</span>&#160;<span class="keyword">        </span>{</div><div class="line"><a name="l00309"></a><span class="lineno">  309</span>&#160;            <span class="keywordflow">return</span> m_maxChars;</div><div class="line"><a name="l00310"></a><span class="lineno">  310</span>&#160;        }</div><div class="line"><a name="l00311"></a><span class="lineno">  311</span>&#160;</div><div class="line"><a name="l00312"></a><span class="lineno">  312</span>&#160;</div><div class="line"><a name="l00319"></a><span class="lineno">  319</span>&#160;        <span class="keywordtype">void</span> setAlignment(<a class="code" href="classtgui_1_1EditBox.html#a3bdf669c969f3002777f84ef6bcc9393">Alignment</a> alignment);</div><div class="line"><a name="l00320"></a><span class="lineno">  320</span>&#160;</div><div class="line"><a name="l00321"></a><span class="lineno">  321</span>&#160;</div><div class="line"><a name="l00328"></a><span class="lineno"><a class="line" href="classtgui_1_1EditBox.html#a470b1187b4ea19e046742ae19948b3f2">  328</a></span>&#160;        <a class="code" href="classtgui_1_1EditBox.html#a3bdf669c969f3002777f84ef6bcc9393">Alignment</a> <a class="code" href="classtgui_1_1EditBox.html#a470b1187b4ea19e046742ae19948b3f2">getAlignment</a>()</div><div class="line"><a name="l00329"></a><span class="lineno">  329</span>&#160;        {</div><div class="line"><a name="l00330"></a><span class="lineno">  330</span>&#160;            <span class="keywordflow">return</span> m_textAlignment;</div><div class="line"><a name="l00331"></a><span class="lineno">  331</span>&#160;        }</div><div class="line"><a name="l00332"></a><span class="lineno">  332</span>&#160;</div><div class="line"><a name="l00333"></a><span class="lineno">  333</span>&#160;</div><div class="line"><a name="l00343"></a><span class="lineno">  343</span>&#160;        <span class="keywordtype">void</span> limitTextWidth(<span class="keywordtype">bool</span> limitWidth = <span class="keyword">true</span>);</div><div class="line"><a name="l00344"></a><span class="lineno">  344</span>&#160;</div><div class="line"><a name="l00345"></a><span class="lineno">  345</span>&#160;</div><div class="line"><a name="l00352"></a><span class="lineno"><a class="line" href="classtgui_1_1EditBox.html#a26390081da45558e51f4405a9ceb0432">  352</a></span>&#160;        <span class="keywordtype">bool</span> <a class="code" href="classtgui_1_1EditBox.html#a26390081da45558e51f4405a9ceb0432">isTextWidthLimited</a>()</div><div class="line"><a name="l00353"></a><span class="lineno">  353</span>&#160;        {</div><div class="line"><a name="l00354"></a><span class="lineno">  354</span>&#160;            <span class="keywordflow">return</span> m_limitTextWidth;</div><div class="line"><a name="l00355"></a><span class="lineno">  355</span>&#160;        }</div><div class="line"><a name="l00356"></a><span class="lineno">  356</span>&#160;</div><div class="line"><a name="l00357"></a><span class="lineno">  357</span>&#160;</div><div class="line"><a name="l00366"></a><span class="lineno">  366</span>&#160;        <span class="keywordtype">void</span> setCaretPosition(std::size_t charactersBeforeCaret);</div><div class="line"><a name="l00367"></a><span class="lineno">  367</span>&#160;</div><div class="line"><a name="l00368"></a><span class="lineno">  368</span>&#160;</div><div class="line"><a name="l00375"></a><span class="lineno">  375</span>&#160;        std::size_t getCaretPosition() <span class="keyword">const</span>;</div><div class="line"><a name="l00376"></a><span class="lineno">  376</span>&#160;</div><div class="line"><a name="l00377"></a><span class="lineno">  377</span>&#160;</div><div class="line"><a name="l00384"></a><span class="lineno">  384</span>&#160;        <span class="keywordtype">void</span> setCaretWidth(<span class="keywordtype">float</span> width);</div><div class="line"><a name="l00385"></a><span class="lineno">  385</span>&#160;</div><div class="line"><a name="l00386"></a><span class="lineno">  386</span>&#160;</div><div class="line"><a name="l00393"></a><span class="lineno"><a class="line" href="classtgui_1_1EditBox.html#aeda10cd3562439b7d054f25c3d84769d">  393</a></span>&#160;        <span class="keywordtype">float</span> <a class="code" href="classtgui_1_1EditBox.html#aeda10cd3562439b7d054f25c3d84769d">getCaretWidth</a>()</div><div class="line"><a name="l00394"></a><span class="lineno">  394</span>&#160;        {</div><div class="line"><a name="l00395"></a><span class="lineno">  395</span>&#160;            <span class="keywordflow">return</span> m_caret.getSize().x;</div><div class="line"><a name="l00396"></a><span class="lineno">  396</span>&#160;        }</div><div class="line"><a name="l00397"></a><span class="lineno">  397</span>&#160;</div><div class="line"><a name="l00398"></a><span class="lineno">  398</span>&#160;</div><div class="line"><a name="l00413"></a><span class="lineno">  413</span>&#160;        <span class="keywordtype">void</span> setInputValidator(<span class="keyword">const</span> std::string&amp; regex = <span class="stringliteral">&quot;.*&quot;</span>);</div><div class="line"><a name="l00414"></a><span class="lineno">  414</span>&#160;</div><div class="line"><a name="l00415"></a><span class="lineno">  415</span>&#160;</div><div class="line"><a name="l00422"></a><span class="lineno">  422</span>&#160;        <span class="keyword">const</span> std::string&amp; getInputValidator();</div><div class="line"><a name="l00423"></a><span class="lineno">  423</span>&#160;</div><div class="line"><a name="l00424"></a><span class="lineno">  424</span>&#160;</div><div class="line"><a name="l00429"></a><span class="lineno">  429</span>&#160;        <span class="keywordtype">void</span> selectText();</div><div class="line"><a name="l00430"></a><span class="lineno">  430</span>&#160;</div><div class="line"><a name="l00431"></a><span class="lineno">  431</span>&#160;</div><div class="line"><a name="l00438"></a><span class="lineno">  438</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> setOpacity(<span class="keywordtype">float</span> opacity) <span class="keyword">override</span>;</div><div class="line"><a name="l00439"></a><span class="lineno">  439</span>&#160;</div><div class="line"><a name="l00440"></a><span class="lineno">  440</span>&#160;</div><div class="line"><a name="l00449"></a><span class="lineno">  449</span>&#160;        <span class="keyword">virtual</span> sf::Vector2f getWidgetOffset() <span class="keyword">const override</span>;</div><div class="line"><a name="l00450"></a><span class="lineno">  450</span>&#160;</div><div class="line"><a name="l00451"></a><span class="lineno">  451</span>&#160;</div><div class="line"><a name="l00455"></a><span class="lineno">  455</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> leftMousePressed(<span class="keywordtype">float</span> x, <span class="keywordtype">float</span> y) <span class="keyword">override</span>;</div><div class="line"><a name="l00456"></a><span class="lineno">  456</span>&#160;</div><div class="line"><a name="l00460"></a><span class="lineno">  460</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> mouseMoved(<span class="keywordtype">float</span> x, <span class="keywordtype">float</span> y) <span class="keyword">override</span>;</div><div class="line"><a name="l00461"></a><span class="lineno">  461</span>&#160;</div><div class="line"><a name="l00465"></a><span class="lineno">  465</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> keyPressed(<span class="keyword">const</span> sf::Event::KeyEvent&amp; event) <span class="keyword">override</span>;</div><div class="line"><a name="l00466"></a><span class="lineno">  466</span>&#160;</div><div class="line"><a name="l00470"></a><span class="lineno">  470</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> textEntered(sf::Uint32 Key) <span class="keyword">override</span>;</div><div class="line"><a name="l00471"></a><span class="lineno">  471</span>&#160;</div><div class="line"><a name="l00475"></a><span class="lineno">  475</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> widgetFocused() <span class="keyword">override</span>;</div><div class="line"><a name="l00476"></a><span class="lineno">  476</span>&#160;</div><div class="line"><a name="l00480"></a><span class="lineno">  480</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> widgetUnfocused() <span class="keyword">override</span>;</div><div class="line"><a name="l00481"></a><span class="lineno">  481</span>&#160;</div><div class="line"><a name="l00482"></a><span class="lineno">  482</span>&#160;</div><div class="line"><a name="l00484"></a><span class="lineno">  484</span>&#160;    <span class="keyword">protected</span>:</div><div class="line"><a name="l00485"></a><span class="lineno">  485</span>&#160;</div><div class="line"><a name="l00498"></a><span class="lineno">  498</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> reload(<span class="keyword">const</span> std::string&amp; primary = <span class="stringliteral">&quot;&quot;</span>, <span class="keyword">const</span> std::string&amp; secondary = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">bool</span> force = <span class="keyword">false</span>) <span class="keyword">override</span>;</div><div class="line"><a name="l00499"></a><span class="lineno">  499</span>&#160;</div><div class="line"><a name="l00500"></a><span class="lineno">  500</span>&#160;</div><div class="line"><a name="l00502"></a><span class="lineno">  502</span>&#160;        <span class="comment">// Returns the width of the edit box minus the padding.</span></div><div class="line"><a name="l00504"></a><span class="lineno">  504</span>&#160;<span class="comment"></span>        <span class="keywordtype">float</span> getVisibleEditBoxWidth();</div><div class="line"><a name="l00505"></a><span class="lineno">  505</span>&#160;</div><div class="line"><a name="l00506"></a><span class="lineno">  506</span>&#160;</div><div class="line"><a name="l00508"></a><span class="lineno">  508</span>&#160;        <span class="comment">// This function will search after which character the caret should be placed. It will not change the caret position.</span></div><div class="line"><a name="l00510"></a><span class="lineno">  510</span>&#160;<span class="comment"></span>        std::size_t findCaretPosition(<span class="keywordtype">float</span> posX);</div><div class="line"><a name="l00511"></a><span class="lineno">  511</span>&#160;</div><div class="line"><a name="l00512"></a><span class="lineno">  512</span>&#160;</div><div class="line"><a name="l00514"></a><span class="lineno">  514</span>&#160;        <span class="comment">// Removes the selected characters. This function is called when pressing backspace, delete or a letter while there were</span></div><div class="line"><a name="l00515"></a><span class="lineno">  515</span>&#160;        <span class="comment">// some characters selected.</span></div><div class="line"><a name="l00517"></a><span class="lineno">  517</span>&#160;<span class="comment"></span>        <span class="keywordtype">void</span> deleteSelectedCharacters();</div><div class="line"><a name="l00518"></a><span class="lineno">  518</span>&#160;</div><div class="line"><a name="l00519"></a><span class="lineno">  519</span>&#160;</div><div class="line"><a name="l00521"></a><span class="lineno">  521</span>&#160;        <span class="comment">// Recalculates the position of the texts.</span></div><div class="line"><a name="l00523"></a><span class="lineno">  523</span>&#160;<span class="comment"></span>        <span class="keywordtype">void</span> recalculateTextPositions();</div><div class="line"><a name="l00524"></a><span class="lineno">  524</span>&#160;</div><div class="line"><a name="l00525"></a><span class="lineno">  525</span>&#160;</div><div class="line"><a name="l00527"></a><span class="lineno">  527</span>&#160;        <span class="comment">// Updates the internal texts after SelStart or SelEnd changed.</span></div><div class="line"><a name="l00529"></a><span class="lineno">  529</span>&#160;<span class="comment"></span>        <span class="keywordtype">void</span> updateSelection();</div><div class="line"><a name="l00530"></a><span class="lineno">  530</span>&#160;</div><div class="line"><a name="l00531"></a><span class="lineno">  531</span>&#160;</div><div class="line"><a name="l00533"></a><span class="lineno">  533</span>&#160;        <span class="comment">// Makes a copy of the widget</span></div><div class="line"><a name="l00535"></a><span class="lineno"><a class="line" href="classtgui_1_1EditBox.html#aa3d7707238e81d920d30050f9e98216d">  535</a></span>&#160;<span class="comment"></span>        <span class="keyword">virtual</span> <a class="code" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a> <a class="code" href="classtgui_1_1EditBox.html#aa3d7707238e81d920d30050f9e98216d">clone</a>()<span class="keyword"> const override</span></div><div class="line"><a name="l00536"></a><span class="lineno">  536</span>&#160;<span class="keyword">        </span>{</div><div class="line"><a name="l00537"></a><span class="lineno">  537</span>&#160;            <span class="keywordflow">return</span> std::make_shared&lt;EditBox&gt;(*this);</div><div class="line"><a name="l00538"></a><span class="lineno">  538</span>&#160;        }</div><div class="line"><a name="l00539"></a><span class="lineno">  539</span>&#160;</div><div class="line"><a name="l00540"></a><span class="lineno">  540</span>&#160;</div><div class="line"><a name="l00542"></a><span class="lineno">  542</span>&#160;        <span class="comment">// This function is called every frame with the time passed since the last frame.</span></div><div class="line"><a name="l00544"></a><span class="lineno">  544</span>&#160;<span class="comment"></span>        <span class="keyword">virtual</span> <span class="keywordtype">void</span> update(sf::Time elapsedTime) <span class="keyword">override</span>;</div><div class="line"><a name="l00545"></a><span class="lineno">  545</span>&#160;</div><div class="line"><a name="l00546"></a><span class="lineno">  546</span>&#160;</div><div class="line"><a name="l00548"></a><span class="lineno">  548</span>&#160;        <span class="comment">// Draws the widget on the render target.</span></div><div class="line"><a name="l00550"></a><span class="lineno">  550</span>&#160;<span class="comment"></span>        <span class="keyword">virtual</span> <span class="keywordtype">void</span> draw(sf::RenderTarget&amp; target, sf::RenderStates states) <span class="keyword">const override</span>;</div><div class="line"><a name="l00551"></a><span class="lineno">  551</span>&#160;</div><div class="line"><a name="l00552"></a><span class="lineno">  552</span>&#160;</div><div class="line"><a name="l00554"></a><span class="lineno">  554</span>&#160;    <span class="keyword">protected</span>:</div><div class="line"><a name="l00555"></a><span class="lineno">  555</span>&#160;</div><div class="line"><a name="l00556"></a><span class="lineno">  556</span>&#160;        <span class="comment">// Is the caret visible or not?</span></div><div class="line"><a name="l00557"></a><span class="lineno">  557</span>&#160;        <span class="keywordtype">bool</span>          m_caretVisible = <span class="keyword">true</span>;</div><div class="line"><a name="l00558"></a><span class="lineno">  558</span>&#160;</div><div class="line"><a name="l00559"></a><span class="lineno">  559</span>&#160;        <span class="comment">// When this boolean is true then you can no longer add text when the EditBox is full.</span></div><div class="line"><a name="l00560"></a><span class="lineno">  560</span>&#160;        <span class="comment">// Changing it to false will allow you to scroll the text (default).</span></div><div class="line"><a name="l00561"></a><span class="lineno">  561</span>&#160;        <span class="comment">// You can change the boolean with the limitTextWidth(bool) function.</span></div><div class="line"><a name="l00562"></a><span class="lineno">  562</span>&#160;        <span class="keywordtype">bool</span>          m_limitTextWidth = <span class="keyword">false</span>;</div><div class="line"><a name="l00563"></a><span class="lineno">  563</span>&#160;</div><div class="line"><a name="l00564"></a><span class="lineno">  564</span>&#160;        <span class="comment">// The text inside the edit box</span></div><div class="line"><a name="l00565"></a><span class="lineno">  565</span>&#160;        sf::String    m_displayedText;</div><div class="line"><a name="l00566"></a><span class="lineno">  566</span>&#160;        sf::String    m_text;</div><div class="line"><a name="l00567"></a><span class="lineno">  567</span>&#160;</div><div class="line"><a name="l00568"></a><span class="lineno">  568</span>&#160;        std::string   m_regexString = <span class="stringliteral">&quot;.*&quot;</span>;</div><div class="line"><a name="l00569"></a><span class="lineno">  569</span>&#160;        std::regex    m_regex = std::regex{m_regexString};</div><div class="line"><a name="l00570"></a><span class="lineno">  570</span>&#160;</div><div class="line"><a name="l00571"></a><span class="lineno">  571</span>&#160;        <span class="comment">// This will store the size of the text ( 0 to auto size )</span></div><div class="line"><a name="l00572"></a><span class="lineno">  572</span>&#160;        <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>  m_textSize = 0;</div><div class="line"><a name="l00573"></a><span class="lineno">  573</span>&#160;</div><div class="line"><a name="l00574"></a><span class="lineno">  574</span>&#160;        <span class="comment">// The text alignment</span></div><div class="line"><a name="l00575"></a><span class="lineno">  575</span>&#160;        <a class="code" href="classtgui_1_1EditBox.html#a3bdf669c969f3002777f84ef6bcc9393">Alignment</a> m_textAlignment = Alignment::Left;</div><div class="line"><a name="l00576"></a><span class="lineno">  576</span>&#160;</div><div class="line"><a name="l00577"></a><span class="lineno">  577</span>&#160;        <span class="comment">// The selection</span></div><div class="line"><a name="l00578"></a><span class="lineno">  578</span>&#160;        std::size_t   m_selChars = 0;</div><div class="line"><a name="l00579"></a><span class="lineno">  579</span>&#160;        std::size_t   m_selStart = 0;</div><div class="line"><a name="l00580"></a><span class="lineno">  580</span>&#160;        std::size_t   m_selEnd = 0;</div><div class="line"><a name="l00581"></a><span class="lineno">  581</span>&#160;</div><div class="line"><a name="l00582"></a><span class="lineno">  582</span>&#160;        <span class="comment">// The password character</span></div><div class="line"><a name="l00583"></a><span class="lineno">  583</span>&#160;        <span class="keywordtype">char</span>          m_passwordChar = <span class="charliteral">&#39;\0&#39;</span>;</div><div class="line"><a name="l00584"></a><span class="lineno">  584</span>&#160;</div><div class="line"><a name="l00585"></a><span class="lineno">  585</span>&#160;        <span class="comment">// The maximum allowed characters.</span></div><div class="line"><a name="l00586"></a><span class="lineno">  586</span>&#160;        <span class="comment">// Zero by default, meaning no limit.</span></div><div class="line"><a name="l00587"></a><span class="lineno">  587</span>&#160;        <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>  m_maxChars = 0;</div><div class="line"><a name="l00588"></a><span class="lineno">  588</span>&#160;</div><div class="line"><a name="l00589"></a><span class="lineno">  589</span>&#160;        <span class="comment">// When the text width is not limited, you can scroll the edit box and only a part will be visible.</span></div><div class="line"><a name="l00590"></a><span class="lineno">  590</span>&#160;        <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>  m_textCropPosition = 0;</div><div class="line"><a name="l00591"></a><span class="lineno">  591</span>&#160;</div><div class="line"><a name="l00592"></a><span class="lineno">  592</span>&#160;        <span class="comment">// The rectangle behind the selected text</span></div><div class="line"><a name="l00593"></a><span class="lineno">  593</span>&#160;        sf::RectangleShape  m_selectedTextBackground;</div><div class="line"><a name="l00594"></a><span class="lineno">  594</span>&#160;</div><div class="line"><a name="l00595"></a><span class="lineno">  595</span>&#160;        <span class="comment">// The blinking caret</span></div><div class="line"><a name="l00596"></a><span class="lineno">  596</span>&#160;        sf::RectangleShape  m_caret;</div><div class="line"><a name="l00597"></a><span class="lineno">  597</span>&#160;</div><div class="line"><a name="l00598"></a><span class="lineno">  598</span>&#160;        <span class="comment">// We need three SFML texts to draw our text, and one more for calculations.</span></div><div class="line"><a name="l00599"></a><span class="lineno">  599</span>&#160;        sf::Text m_textBeforeSelection;</div><div class="line"><a name="l00600"></a><span class="lineno">  600</span>&#160;        sf::Text m_textSelection;</div><div class="line"><a name="l00601"></a><span class="lineno">  601</span>&#160;        sf::Text m_textAfterSelection;</div><div class="line"><a name="l00602"></a><span class="lineno">  602</span>&#160;        sf::Text m_textFull;</div><div class="line"><a name="l00603"></a><span class="lineno">  603</span>&#160;        sf::Text m_defaultText;</div><div class="line"><a name="l00604"></a><span class="lineno">  604</span>&#160;</div><div class="line"><a name="l00605"></a><span class="lineno">  605</span>&#160;        <span class="comment">// Is there a possibility that the user is going to double click?</span></div><div class="line"><a name="l00606"></a><span class="lineno">  606</span>&#160;        <span class="keywordtype">bool</span> m_possibleDoubleClick = <span class="keyword">false</span>;</div><div class="line"><a name="l00607"></a><span class="lineno">  607</span>&#160;</div><div class="line"><a name="l00608"></a><span class="lineno">  608</span>&#160;</div><div class="line"><a name="l00609"></a><span class="lineno">  609</span>&#160;        <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classtgui_1_1EditBoxRenderer.html">EditBoxRenderer</a>;</div><div class="line"><a name="l00610"></a><span class="lineno">  610</span>&#160;</div><div class="line"><a name="l00612"></a><span class="lineno">  612</span>&#160;</div><div class="line"><a name="l00613"></a><span class="lineno">  613</span>&#160;    };</div><div class="line"><a name="l00614"></a><span class="lineno">  614</span>&#160;</div><div class="line"><a name="l00615"></a><span class="lineno">  615</span>&#160;</div><div class="line"><a name="l00617"></a><span class="lineno">  617</span>&#160;</div><div class="line"><a name="l00618"></a><span class="lineno"><a class="line" href="classtgui_1_1EditBoxRenderer.html">  618</a></span>&#160;    <span class="keyword">class </span>TGUI_API <a class="code" href="classtgui_1_1EditBoxRenderer.html">EditBoxRenderer</a> : <span class="keyword">public</span> <a class="code" href="classtgui_1_1WidgetRenderer.html">WidgetRenderer</a>, <span class="keyword">public</span> <a class="code" href="classtgui_1_1WidgetBorders.html">WidgetBorders</a>, <span class="keyword">public</span> <a class="code" href="classtgui_1_1WidgetPadding.html">WidgetPadding</a></div><div class="line"><a name="l00619"></a><span class="lineno">  619</span>&#160;    {</div><div class="line"><a name="l00620"></a><span class="lineno">  620</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00621"></a><span class="lineno">  621</span>&#160;</div><div class="line"><a name="l00628"></a><span class="lineno"><a class="line" href="classtgui_1_1EditBoxRenderer.html#af6007ed0ba993367d53a64011fbc4ffe">  628</a></span>&#160;        <a class="code" href="classtgui_1_1EditBoxRenderer.html#af6007ed0ba993367d53a64011fbc4ffe">EditBoxRenderer</a>(<a class="code" href="classtgui_1_1EditBox.html">EditBox</a>* editBox) : m_editBox{editBox} {}</div><div class="line"><a name="l00629"></a><span class="lineno">  629</span>&#160;</div><div class="line"><a name="l00630"></a><span class="lineno">  630</span>&#160;</div><div class="line"><a name="l00640"></a><span class="lineno">  640</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> setProperty(std::string property, <span class="keyword">const</span> std::string&amp; value) <span class="keyword">override</span>;</div><div class="line"><a name="l00641"></a><span class="lineno">  641</span>&#160;</div><div class="line"><a name="l00642"></a><span class="lineno">  642</span>&#160;</div><div class="line"><a name="l00653"></a><span class="lineno">  653</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> setProperty(std::string property, <a class="code" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a>&amp;&amp; value) <span class="keyword">override</span>;</div><div class="line"><a name="l00654"></a><span class="lineno">  654</span>&#160;</div><div class="line"><a name="l00655"></a><span class="lineno">  655</span>&#160;</div><div class="line"><a name="l00665"></a><span class="lineno">  665</span>&#160;        <span class="keyword">virtual</span> <a class="code" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> getProperty(std::string property) <span class="keyword">const override</span>;</div><div class="line"><a name="l00666"></a><span class="lineno">  666</span>&#160;</div><div class="line"><a name="l00667"></a><span class="lineno">  667</span>&#160;</div><div class="line"><a name="l00674"></a><span class="lineno">  674</span>&#160;        <span class="keyword">virtual</span> std::map&lt;std::string, ObjectConverter&gt; getPropertyValuePairs() <span class="keyword">const override</span>;</div><div class="line"><a name="l00675"></a><span class="lineno">  675</span>&#160;</div><div class="line"><a name="l00676"></a><span class="lineno">  676</span>&#160;</div><div class="line"><a name="l00689"></a><span class="lineno">  689</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> setPadding(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Borders.html">Padding</a>&amp; padding) <span class="keyword">override</span>;</div><div class="line"><a name="l00690"></a><span class="lineno">  690</span>&#160;        <span class="keyword">using</span> <a class="code" href="classtgui_1_1WidgetPadding.html#a06448dfb10275ea7939c248ddf88f46d">WidgetPadding::setPadding</a>;</div><div class="line"><a name="l00691"></a><span class="lineno">  691</span>&#160;</div><div class="line"><a name="l00692"></a><span class="lineno">  692</span>&#160;</div><div class="line"><a name="l00699"></a><span class="lineno">  699</span>&#160;        <span class="keywordtype">void</span> setCaretWidth(<span class="keywordtype">float</span> width);</div><div class="line"><a name="l00700"></a><span class="lineno">  700</span>&#160;</div><div class="line"><a name="l00701"></a><span class="lineno">  701</span>&#160;</div><div class="line"><a name="l00708"></a><span class="lineno">  708</span>&#160;        <span class="keywordtype">void</span> setTextColor(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Color.html">Color</a>&amp; textColor);</div><div class="line"><a name="l00709"></a><span class="lineno">  709</span>&#160;</div><div class="line"><a name="l00710"></a><span class="lineno">  710</span>&#160;</div><div class="line"><a name="l00717"></a><span class="lineno">  717</span>&#160;        <span class="keywordtype">void</span> setSelectedTextColor(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Color.html">Color</a>&amp; selectedTextColor);</div><div class="line"><a name="l00718"></a><span class="lineno">  718</span>&#160;</div><div class="line"><a name="l00719"></a><span class="lineno">  719</span>&#160;</div><div class="line"><a name="l00726"></a><span class="lineno">  726</span>&#160;        <span class="keywordtype">void</span> setSelectedTextBackgroundColor(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Color.html">Color</a>&amp; selectedTextBackgroundColor);</div><div class="line"><a name="l00727"></a><span class="lineno">  727</span>&#160;</div><div class="line"><a name="l00728"></a><span class="lineno">  728</span>&#160;</div><div class="line"><a name="l00735"></a><span class="lineno">  735</span>&#160;        <span class="keywordtype">void</span> setDefaultTextColor(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Color.html">Color</a>&amp; defaultTextColor);</div><div class="line"><a name="l00736"></a><span class="lineno">  736</span>&#160;</div><div class="line"><a name="l00737"></a><span class="lineno">  737</span>&#160;</div><div class="line"><a name="l00751"></a><span class="lineno">  751</span>&#160;        <span class="keywordtype">void</span> setBackgroundColor(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Color.html">Color</a>&amp; color);</div><div class="line"><a name="l00752"></a><span class="lineno">  752</span>&#160;</div><div class="line"><a name="l00753"></a><span class="lineno">  753</span>&#160;</div><div class="line"><a name="l00762"></a><span class="lineno">  762</span>&#160;        <span class="keywordtype">void</span> setBackgroundColorNormal(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Color.html">Color</a>&amp; color);</div><div class="line"><a name="l00763"></a><span class="lineno">  763</span>&#160;</div><div class="line"><a name="l00764"></a><span class="lineno">  764</span>&#160;</div><div class="line"><a name="l00773"></a><span class="lineno">  773</span>&#160;        <span class="keywordtype">void</span> setBackgroundColorHover(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Color.html">Color</a>&amp; color);</div><div class="line"><a name="l00774"></a><span class="lineno">  774</span>&#160;</div><div class="line"><a name="l00775"></a><span class="lineno">  775</span>&#160;</div><div class="line"><a name="l00782"></a><span class="lineno">  782</span>&#160;        <span class="keywordtype">void</span> setCaretColor(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Color.html">Color</a>&amp; caretColor);</div><div class="line"><a name="l00783"></a><span class="lineno">  783</span>&#160;</div><div class="line"><a name="l00784"></a><span class="lineno">  784</span>&#160;</div><div class="line"><a name="l00791"></a><span class="lineno">  791</span>&#160;        <span class="keywordtype">void</span> setBorderColor(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Color.html">Color</a>&amp; color);</div><div class="line"><a name="l00792"></a><span class="lineno">  792</span>&#160;</div><div class="line"><a name="l00793"></a><span class="lineno">  793</span>&#160;</div><div class="line"><a name="l00803"></a><span class="lineno">  803</span>&#160;        <span class="keywordtype">void</span> setNormalTexture(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Texture.html">Texture</a>&amp; texture);</div><div class="line"><a name="l00804"></a><span class="lineno">  804</span>&#160;</div><div class="line"><a name="l00805"></a><span class="lineno">  805</span>&#160;</div><div class="line"><a name="l00814"></a><span class="lineno">  814</span>&#160;        <span class="keywordtype">void</span> setHoverTexture(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Texture.html">Texture</a>&amp; texture);</div><div class="line"><a name="l00815"></a><span class="lineno">  815</span>&#160;</div><div class="line"><a name="l00816"></a><span class="lineno">  816</span>&#160;</div><div class="line"><a name="l00825"></a><span class="lineno">  825</span>&#160;        <span class="keywordtype">void</span> setFocusTexture(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Texture.html">Texture</a>&amp; texture);</div><div class="line"><a name="l00826"></a><span class="lineno">  826</span>&#160;</div><div class="line"><a name="l00827"></a><span class="lineno">  827</span>&#160;</div><div class="line"><a name="l00840"></a><span class="lineno">  840</span>&#160;        <span class="keywordtype">void</span> setDefaultTextStyle(sf::Uint32 style);</div><div class="line"><a name="l00841"></a><span class="lineno">  841</span>&#160;</div><div class="line"><a name="l00842"></a><span class="lineno">  842</span>&#160;</div><div class="line"><a name="l00844"></a><span class="lineno">  844</span>&#160;        <span class="comment">// Draws the widget on the render target.</span></div><div class="line"><a name="l00846"></a><span class="lineno">  846</span>&#160;<span class="comment"></span>        <span class="keywordtype">void</span> draw(sf::RenderTarget&amp; target, sf::RenderStates states) <span class="keyword">const</span>;</div><div class="line"><a name="l00847"></a><span class="lineno">  847</span>&#160;</div><div class="line"><a name="l00848"></a><span class="lineno">  848</span>&#160;</div><div class="line"><a name="l00850"></a><span class="lineno">  850</span>&#160;    <span class="keyword">private</span>:</div><div class="line"><a name="l00851"></a><span class="lineno">  851</span>&#160;</div><div class="line"><a name="l00853"></a><span class="lineno">  853</span>&#160;        <span class="comment">// Returns the padding, which is possibly scaled with the background image.</span></div><div class="line"><a name="l00855"></a><span class="lineno">  855</span>&#160;<span class="comment"></span>        <a class="code" href="classtgui_1_1Borders.html">Padding</a> getScaledPadding() <span class="keyword">const</span>;</div><div class="line"><a name="l00856"></a><span class="lineno">  856</span>&#160;</div><div class="line"><a name="l00857"></a><span class="lineno">  857</span>&#160;</div><div class="line"><a name="l00859"></a><span class="lineno">  859</span>&#160;        <span class="comment">// Makes a copy of the renderer</span></div><div class="line"><a name="l00861"></a><span class="lineno">  861</span>&#160;<span class="comment"></span>        <span class="keyword">virtual</span> std::shared_ptr&lt;WidgetRenderer&gt; clone(<a class="code" href="classtgui_1_1Widget.html">Widget</a>* widget) <span class="keyword">override</span>;</div><div class="line"><a name="l00862"></a><span class="lineno">  862</span>&#160;</div><div class="line"><a name="l00863"></a><span class="lineno">  863</span>&#160;</div><div class="line"><a name="l00865"></a><span class="lineno">  865</span>&#160;    <span class="keyword">protected</span>:</div><div class="line"><a name="l00866"></a><span class="lineno">  866</span>&#160;</div><div class="line"><a name="l00867"></a><span class="lineno">  867</span>&#160;        <a class="code" href="classtgui_1_1EditBox.html">EditBox</a>*  m_editBox;</div><div class="line"><a name="l00868"></a><span class="lineno">  868</span>&#160;</div><div class="line"><a name="l00869"></a><span class="lineno">  869</span>&#160;        sf::Color m_textColor;</div><div class="line"><a name="l00870"></a><span class="lineno">  870</span>&#160;        sf::Color m_selectedTextColor;</div><div class="line"><a name="l00871"></a><span class="lineno">  871</span>&#160;        sf::Color m_selectedTextBackgroundColor;</div><div class="line"><a name="l00872"></a><span class="lineno">  872</span>&#160;        sf::Color m_defaultTextColor;</div><div class="line"><a name="l00873"></a><span class="lineno">  873</span>&#160;        sf::Color m_backgroundColorNormal;</div><div class="line"><a name="l00874"></a><span class="lineno">  874</span>&#160;        sf::Color m_backgroundColorHover;</div><div class="line"><a name="l00875"></a><span class="lineno">  875</span>&#160;        sf::Color m_caretColor;</div><div class="line"><a name="l00876"></a><span class="lineno">  876</span>&#160;        sf::Color m_borderColor;</div><div class="line"><a name="l00877"></a><span class="lineno">  877</span>&#160;</div><div class="line"><a name="l00878"></a><span class="lineno">  878</span>&#160;        <a class="code" href="classtgui_1_1Texture.html">Texture</a>   m_textureNormal;</div><div class="line"><a name="l00879"></a><span class="lineno">  879</span>&#160;        <a class="code" href="classtgui_1_1Texture.html">Texture</a>   m_textureHover;</div><div class="line"><a name="l00880"></a><span class="lineno">  880</span>&#160;        <a class="code" href="classtgui_1_1Texture.html">Texture</a>   m_textureFocused;</div><div class="line"><a name="l00881"></a><span class="lineno">  881</span>&#160;</div><div class="line"><a name="l00882"></a><span class="lineno">  882</span>&#160;        <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classtgui_1_1EditBox.html">EditBox</a>;</div><div class="line"><a name="l00883"></a><span class="lineno">  883</span>&#160;</div><div class="line"><a name="l00885"></a><span class="lineno">  885</span>&#160;    };</div><div class="line"><a name="l00886"></a><span class="lineno">  886</span>&#160;</div><div class="line"><a name="l00888"></a><span class="lineno">  888</span>&#160;</div><div class="line"><a name="l00889"></a><span class="lineno">  889</span>&#160;}</div><div class="line"><a name="l00891"></a><span class="lineno">  891</span>&#160;</div><div class="line"><a name="l00892"></a><span class="lineno">  892</span>&#160;<span class="preprocessor">#endif // TGUI_EDIT_BOX_HPP</span></div><div class="ttc" id="namespacetgui_html"><div class="ttname"><a href="namespacetgui.html">tgui</a></div><div class="ttdoc">Namespace that contains all TGUI functions and classes. </div><div class="ttdef"><b>Definition:</b> Animation.hpp:33</div></div>
<div class="ttc" id="classtgui_1_1EditBox_html_a26390081da45558e51f4405a9ceb0432"><div class="ttname"><a href="classtgui_1_1EditBox.html#a26390081da45558e51f4405a9ceb0432">tgui::EditBox::isTextWidthLimited</a></div><div class="ttdeci">bool isTextWidthLimited()</div><div class="ttdoc">Check if the text width is limited to the size of the edit box. </div><div class="ttdef"><b>Definition:</b> EditBox.hpp:352</div></div>
<div class="ttc" id="classtgui_1_1EditBoxRenderer_html_af6007ed0ba993367d53a64011fbc4ffe"><div class="ttname"><a href="classtgui_1_1EditBoxRenderer.html#af6007ed0ba993367d53a64011fbc4ffe">tgui::EditBoxRenderer::EditBoxRenderer</a></div><div class="ttdeci">EditBoxRenderer(EditBox *editBox)</div><div class="ttdoc">Constructor. </div><div class="ttdef"><b>Definition:</b> EditBox.hpp:628</div></div>
<div class="ttc" id="classtgui_1_1WidgetPadding_html_a06448dfb10275ea7939c248ddf88f46d"><div class="ttname"><a href="classtgui_1_1WidgetPadding.html#a06448dfb10275ea7939c248ddf88f46d">tgui::WidgetPadding::setPadding</a></div><div class="ttdeci">virtual void setPadding(const Padding &amp;padding)</div><div class="ttdoc">Changes the size of the padding. </div><div class="ttdef"><b>Definition:</b> Borders.hpp:223</div></div>
<div class="ttc" id="classtgui_1_1EditBox_html_af5798090dff64beff26657910e8bf8a0"><div class="ttname"><a href="classtgui_1_1EditBox.html#af5798090dff64beff26657910e8bf8a0">tgui::EditBox::getRenderer</a></div><div class="ttdeci">std::shared_ptr&lt; EditBoxRenderer &gt; getRenderer() const </div><div class="ttdoc">Returns the renderer, which gives access to functions that determine how the widget is displayed...</div><div class="ttdef"><b>Definition:</b> EditBox.hpp:121</div></div>
<div class="ttc" id="classtgui_1_1EditBox_html_aa3d7707238e81d920d30050f9e98216d"><div class="ttname"><a href="classtgui_1_1EditBox.html#aa3d7707238e81d920d30050f9e98216d">tgui::EditBox::clone</a></div><div class="ttdeci">virtual Widget::Ptr clone() const  override</div><div class="ttdoc">Makes a copy of the widget if you don&amp;#39;t know its exact type. </div><div class="ttdef"><b>Definition:</b> EditBox.hpp:535</div></div>
<div class="ttc" id="classtgui_1_1Color_html"><div class="ttname"><a href="classtgui_1_1Color.html">tgui::Color</a></div><div class="ttdoc">Implicit converter for colors. </div><div class="ttdef"><b>Definition:</b> Color.hpp:39</div></div>
<div class="ttc" id="classtgui_1_1Font_html"><div class="ttname"><a href="classtgui_1_1Font.html">tgui::Font</a></div><div class="ttdef"><b>Definition:</b> Font.hpp:37</div></div>
<div class="ttc" id="classtgui_1_1Layout2d_html"><div class="ttname"><a href="classtgui_1_1Layout2d.html">tgui::Layout2d</a></div><div class="ttdoc">Class to store the position or size of a widget. </div><div class="ttdef"><b>Definition:</b> Layout.hpp:254</div></div>
<div class="ttc" id="classtgui_1_1Widget_html"><div class="ttname"><a href="classtgui_1_1Widget.html">tgui::Widget</a></div><div class="ttdoc">The parent class for every widget. </div><div class="ttdef"><b>Definition:</b> Widget.hpp:71</div></div>
<div class="ttc" id="structtgui_1_1EditBox_1_1Validator_html_addae7bebf202d82437de4be2d06aec66"><div class="ttname"><a href="structtgui_1_1EditBox_1_1Validator.html#addae7bebf202d82437de4be2d06aec66">tgui::EditBox::Validator::Int</a></div><div class="ttdeci">static TGUI_API std::string Int</div><div class="ttdoc">Accept negative and positive integers. </div><div class="ttdef"><b>Definition:</b> EditBox.hpp:83</div></div>
<div class="ttc" id="structtgui_1_1EditBox_1_1Validator_html"><div class="ttname"><a href="structtgui_1_1EditBox_1_1Validator.html">tgui::EditBox::Validator</a></div><div class="ttdoc">Predefined input validators. </div><div class="ttdef"><b>Definition:</b> EditBox.hpp:81</div></div>
<div class="ttc" id="classtgui_1_1EditBox_html_ac18ca8a292e8a49adb181930524412a9"><div class="ttname"><a href="classtgui_1_1EditBox.html#ac18ca8a292e8a49adb181930524412a9">tgui::EditBox::getText</a></div><div class="ttdeci">sf::String getText() const </div><div class="ttdoc">Returns the text inside the edit box. This text is not affected by the password character. </div><div class="ttdef"><b>Definition:</b> EditBox.hpp:197</div></div>
<div class="ttc" id="classtgui_1_1Transformable_html_a66fe5d2a7b1477cab073984a9a3e13bc"><div class="ttname"><a href="classtgui_1_1Transformable.html#a66fe5d2a7b1477cab073984a9a3e13bc">tgui::Transformable::setSize</a></div><div class="ttdeci">virtual void setSize(const Layout2d &amp;size)</div><div class="ttdoc">Changes the size of the widget. </div></div>
<div class="ttc" id="classtgui_1_1EditBox_html_aaa12c59c7d5a3e48d164ef9835363ca9"><div class="ttname"><a href="classtgui_1_1EditBox.html#aaa12c59c7d5a3e48d164ef9835363ca9">tgui::EditBox::ConstPtr</a></div><div class="ttdeci">std::shared_ptr&lt; const EditBox &gt; ConstPtr</div><div class="ttdoc">Shared constant widget pointer. </div><div class="ttdef"><b>Definition:</b> EditBox.hpp:59</div></div>
<div class="ttc" id="classtgui_1_1WidgetPadding_html"><div class="ttname"><a href="classtgui_1_1WidgetPadding.html">tgui::WidgetPadding</a></div><div class="ttdoc">Parent class for every widget that has padding. </div><div class="ttdef"><b>Definition:</b> Borders.hpp:210</div></div>
<div class="ttc" id="classtgui_1_1Transformable_html_aef14a1428f63eeb8bd820a1b4821a3d0"><div class="ttname"><a href="classtgui_1_1Transformable.html#aef14a1428f63eeb8bd820a1b4821a3d0">tgui::Transformable::setPosition</a></div><div class="ttdeci">virtual void setPosition(const Layout2d &amp;position)</div><div class="ttdoc">set the position of the widget </div></div>
<div class="ttc" id="classtgui_1_1ClickableWidget_html"><div class="ttname"><a href="classtgui_1_1ClickableWidget.html">tgui::ClickableWidget</a></div><div class="ttdoc">Clickable widget. </div><div class="ttdef"><b>Definition:</b> ClickableWidget.hpp:55</div></div>
<div class="ttc" id="classtgui_1_1EditBox_html_aeda10cd3562439b7d054f25c3d84769d"><div class="ttname"><a href="classtgui_1_1EditBox.html#aeda10cd3562439b7d054f25c3d84769d">tgui::EditBox::getCaretWidth</a></div><div class="ttdeci">float getCaretWidth()</div><div class="ttdoc">Returns the width of the caret. </div><div class="ttdef"><b>Definition:</b> EditBox.hpp:393</div></div>
<div class="ttc" id="classtgui_1_1WidgetBorders_html"><div class="ttname"><a href="classtgui_1_1WidgetBorders.html">tgui::WidgetBorders</a></div><div class="ttdoc">Parent class for every widget that has borders. </div><div class="ttdef"><b>Definition:</b> Borders.hpp:136</div></div>
<div class="ttc" id="classtgui_1_1ObjectConverter_html"><div class="ttname"><a href="classtgui_1_1ObjectConverter.html">tgui::ObjectConverter</a></div><div class="ttdoc">Implicit converter for settable properties. </div><div class="ttdef"><b>Definition:</b> ObjectConverter.hpp:42</div></div>
<div class="ttc" id="classtgui_1_1Widget_html_a388912f13898735531886bc676b14f81"><div class="ttname"><a href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">tgui::Widget::Ptr</a></div><div class="ttdeci">std::shared_ptr&lt; Widget &gt; Ptr</div><div class="ttdoc">Shared widget pointer. </div><div class="ttdef"><b>Definition:</b> Widget.hpp:75</div></div>
<div class="ttc" id="structtgui_1_1EditBox_1_1Validator_html_a86f672270cc726b8d137979172f09c50"><div class="ttname"><a href="structtgui_1_1EditBox_1_1Validator.html#a86f672270cc726b8d137979172f09c50">tgui::EditBox::Validator::UInt</a></div><div class="ttdeci">static TGUI_API std::string UInt</div><div class="ttdoc">Accept only positive integers. </div><div class="ttdef"><b>Definition:</b> EditBox.hpp:84</div></div>
<div class="ttc" id="structtgui_1_1EditBox_1_1Validator_html_a09bea6c7677de1f673e682ca9eb41c07"><div class="ttname"><a href="structtgui_1_1EditBox_1_1Validator.html#a09bea6c7677de1f673e682ca9eb41c07">tgui::EditBox::Validator::Float</a></div><div class="ttdeci">static TGUI_API std::string Float</div><div class="ttdoc">Accept decimal numbers. </div><div class="ttdef"><b>Definition:</b> EditBox.hpp:85</div></div>
<div class="ttc" id="classtgui_1_1EditBox_html_ae987a753c5b1423a932869610b08d7f8"><div class="ttname"><a href="classtgui_1_1EditBox.html#ae987a753c5b1423a932869610b08d7f8">tgui::EditBox::Ptr</a></div><div class="ttdeci">std::shared_ptr&lt; EditBox &gt; Ptr</div><div class="ttdoc">Shared widget pointer. </div><div class="ttdef"><b>Definition:</b> EditBox.hpp:58</div></div>
<div class="ttc" id="classtgui_1_1EditBox_html_ad162dd074164689ed980c0ad80f75cf9"><div class="ttname"><a href="classtgui_1_1EditBox.html#ad162dd074164689ed980c0ad80f75cf9">tgui::EditBox::getDefaultText</a></div><div class="ttdeci">sf::String getDefaultText() const </div><div class="ttdoc">Returns the default text of the edit box. This is the text drawn when the edit box is empty...</div><div class="ttdef"><b>Definition:</b> EditBox.hpp:222</div></div>
<div class="ttc" id="classtgui_1_1Texture_html"><div class="ttname"><a href="classtgui_1_1Texture.html">tgui::Texture</a></div><div class="ttdef"><b>Definition:</b> Texture.hpp:44</div></div>
<div class="ttc" id="classtgui_1_1EditBox_html_a2d7b3110b157aed0499820c81d93868a"><div class="ttname"><a href="classtgui_1_1EditBox.html#a2d7b3110b157aed0499820c81d93868a">tgui::EditBox::getTextSize</a></div><div class="ttdeci">unsigned int getTextSize() const </div><div class="ttdoc">Returns the character size of the text. </div><div class="ttdef"><b>Definition:</b> EditBox.hpp:253</div></div>
<div class="ttc" id="classtgui_1_1EditBoxRenderer_html"><div class="ttname"><a href="classtgui_1_1EditBoxRenderer.html">tgui::EditBoxRenderer</a></div><div class="ttdef"><b>Definition:</b> EditBox.hpp:618</div></div>
<div class="ttc" id="classtgui_1_1EditBox_html"><div class="ttname"><a href="classtgui_1_1EditBox.html">tgui::EditBox</a></div><div class="ttdoc">Edit box widget. </div><div class="ttdef"><b>Definition:</b> EditBox.hpp:54</div></div>
<div class="ttc" id="classtgui_1_1Borders_html"><div class="ttname"><a href="classtgui_1_1Borders.html">tgui::Borders</a></div><div class="ttdef"><b>Definition:</b> Borders.hpp:37</div></div>
<div class="ttc" id="classtgui_1_1EditBox_html_a3bdf669c969f3002777f84ef6bcc9393"><div class="ttname"><a href="classtgui_1_1EditBox.html#a3bdf669c969f3002777f84ef6bcc9393">tgui::EditBox::Alignment</a></div><div class="ttdeci">Alignment</div><div class="ttdoc">The text alignment. </div><div class="ttdef"><b>Definition:</b> EditBox.hpp:65</div></div>
<div class="ttc" id="classtgui_1_1EditBox_html_a260a6d913c6d3059d396e691e64e9da0"><div class="ttname"><a href="classtgui_1_1EditBox.html#a260a6d913c6d3059d396e691e64e9da0">tgui::EditBox::getPasswordCharacter</a></div><div class="ttdeci">char getPasswordCharacter() const </div><div class="ttdoc">Returns the password character. </div><div class="ttdef"><b>Definition:</b> EditBox.hpp:281</div></div>
<div class="ttc" id="classtgui_1_1WidgetRenderer_html"><div class="ttname"><a href="classtgui_1_1WidgetRenderer.html">tgui::WidgetRenderer</a></div><div class="ttdoc">Base class for all renderer classes. </div><div class="ttdef"><b>Definition:</b> Widget.hpp:682</div></div>
<div class="ttc" id="classtgui_1_1EditBox_html_a470b1187b4ea19e046742ae19948b3f2"><div class="ttname"><a href="classtgui_1_1EditBox.html#a470b1187b4ea19e046742ae19948b3f2">tgui::EditBox::getAlignment</a></div><div class="ttdeci">Alignment getAlignment()</div><div class="ttdoc">Get the current text alignment. </div><div class="ttdef"><b>Definition:</b> EditBox.hpp:328</div></div>
<div class="ttc" id="classtgui_1_1EditBox_html_a2fba97a088cbc882a9287d39c81af361"><div class="ttname"><a href="classtgui_1_1EditBox.html#a2fba97a088cbc882a9287d39c81af361">tgui::EditBox::getMaximumCharacters</a></div><div class="ttdeci">unsigned int getMaximumCharacters() const </div><div class="ttdoc">Returns the character limit. </div><div class="ttdef"><b>Definition:</b> EditBox.hpp:307</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:41 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
